summaryrefslogtreecommitdiff
path: root/bin/menuscripts/mpass
diff options
context:
space:
mode:
authorRaymaekers Luca <raymaekers.luca@gmail.com>2023-07-24 13:10:47 +0200
committerRaymaekers Luca <raymaekers.luca@gmail.com>2023-07-24 13:10:47 +0200
commitbfde7ebf65e761a6df9a8bfb43ea5d40b44472c0 (patch)
treebe3a2951fdd98c1331191fa8b5ead24de5fb3a76 /bin/menuscripts/mpass
parentc6a02c4aea87ba8a981fe6c448e1508c8cf7f1ff (diff)
eased the use
Diffstat (limited to 'bin/menuscripts/mpass')
-rwxr-xr-xbin/menuscripts/mpass3
1 files changed, 2 insertions, 1 deletions
diff --git a/bin/menuscripts/mpass b/bin/menuscripts/mpass
index 87559e9..a50f0fb 100755
--- a/bin/menuscripts/mpass
+++ b/bin/menuscripts/mpass
@@ -6,7 +6,7 @@ then
menucmd="tofi --prompt pass:"
elif [ "$MENUCMD" = "dmenu" ]
then
- menucmd="dmenu -l 4 -g 2 -x -i -p pass:"
+ menucmd="dmenu -l 4 -g 2 -i -p pass:"
else
menucmd="fzf --prompt pass:"
fi
@@ -17,6 +17,7 @@ do
file="$file/$choice"
done
+test -z "$file" && exit 1
pass show -c "$file" &&
if [ -n "$WAYLAND_DISPLAY" ] && cliphist list >/dev/null
then